OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepElement

# StepElement_HArray1OfMeasureOrUnspecifiedValue Class Reference

`#include <StepElement_HArray1OfMeasureOrUnspecifiedValue.hxx>`

## Public Member Functions
Standard_EXPORT | StepElement_HArray1OfMeasureOrUnspecifiedValue (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepElement_HArray1OfMeasureOrUnspecifiedValue (const Standard_Integer Low, const Standard_Integer Up, const StepElement_MeasureOrUnspecifiedValue &V)
Standard_EXPORT void | Init (const StepElement_MeasureOrUnspecifiedValue &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepElement_MeasureOrUnspecifiedValue &Value)
const StepElement_MeasureOrUnspecifiedValue & | Value (const Standard_Integer Index) const
StepElement_MeasureOrUnspecifiedValue & | ChangeValue (const Standard_Integer Index)
const StepElement_Array1OfMeasureOrUnspecifiedValue & | Array1 () const
StepElement_Array1OfMeasureOrUnspecifiedValue & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepElement_Array1OfMeasureOrUnspecifiedValue | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_HArray1OfMeasureOrUnspecifiedValue::StepElement_HArray1OfMeasureOrUnspecifiedValue | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepElement_HArray1OfMeasureOrUnspecifiedValue::StepElement_HArray1OfMeasureOrUnspecifiedValue | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepElement_MeasureOrUnspecifiedValue & | V
| ) |

## Member Function Documentation

const StepElement_Array1OfMeasureOrUnspecifiedValue& StepElement_HArray1OfMeasureOrUnspecifiedValue::Array1 | ( |  | ) | const

StepElement_Array1OfMeasureOrUnspecifiedValue& StepElement_HArray1OfMeasureOrUnspecifiedValue::ChangeArray1 | ( |  | ) |

StepElement_MeasureOrUnspecifiedValue& StepElement_HArray1OfMeasureOrUnspecifiedValue::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepElement_HArray1OfMeasureOrUnspecifiedValue::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepElement_HArray1OfMeasureOrUnspecifiedValue::Init | ( | const StepElement_MeasureOrUnspecifiedValue & | V | ) |

Standard_Integer StepElement_HArray1OfMeasureOrUnspecifiedValue::Length | ( |  | ) | const

Standard_Integer StepElement_HArray1OfMeasureOrUnspecifiedValue::Lower | ( |  | ) | const

void StepElement_HArray1OfMeasureOrUnspecifiedValue::SetValue | ( | const Standard_Integer | Index,
|  | const StepElement_MeasureOrUnspecifiedValue & | Value
| ) |

Standard_Integer StepElement_HArray1OfMeasureOrUnspecifiedValue::Upper | ( |  | ) | const

const StepElement_MeasureOrUnspecifiedValue& StepElement_HArray1OfMeasureOrUnspecifiedValue::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepElement_Array1OfMeasureOrUnspecifiedValue StepElement_HArray1OfMeasureOrUnspecifiedValue::myArray`[private]`

The documentation for this class was generated from the following file:

- StepElement_HArray1OfMeasureOrUnspecifiedValue.hxx